pid /var/run/nginx.pid;

worker_processes 4;

events {
       worker_connections 1024;
       multi_accept off;
}

http {
     sendfile on;
     tcp_nopush on;
     tcp_nodelay on;

     keepalive_timeout 65;
     keepalive_requests 100;

     gzip on;
     server_tokens off;

     include /etc/nginx/mime.types;
     default_type application/octet-stream;

     access_log /var/log/nginx/access.log;
     error_log /var/log/nginx/error.log;

     server_names_hash_bucket_size 64;
     client_max_body_size 64M;

     ssl_certificate /etc/letsencrypt/live/{{ dnsname }}/fullchain.pem;
     ssl_certificate_key /etc/letsencrypt/live/{{ dnsname }}/privkey.pem;

     server {
            listen 80;
            server_name {{ dnsname }};

            root /usr/share/nginx/html;
            proxy_read_timeout 600;

            location / {
                     try_files $uri @terminus;
            }

            location /static/ {
                     autoindex  off;
                     include /etc/nginx/mime.types;
                     alias /usr/src/app/static;
            }

            location @terminus {
                     proxy_pass_request_headers on;
                     proxy_set_header Host $http_host;
                     proxy_set_header X-Forwarded-Proto $scheme;
                     proxy_set_header X-Real-IP $remote_addr;
                     proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                     proxy_pass http://terminus:8000;
            }

            location ~ /.well-known/acme-challenge {
                     allow all;
                     root /usr/share/nginx/html;
            }

            return 301 https://$host$request_uri;
     }

     server {
            listen 443 ssl;
            server_name {{ dnsname }};

            root /usr/share/nginx/html;
            proxy_read_timeout 600;

            location / {
                     try_files $uri @terminus;
            }

            location /static/ {
                     autoindex  off;
                     include /etc/nginx/mime.types;
                     alias /usr/src/app/static;
            }

            location @terminus {
                     proxy_pass_request_headers on;
                     proxy_set_header Host $http_host;
                     proxy_set_header X-Forwarded-Proto $scheme;
                     proxy_set_header X-Real-IP $remote_addr;
                     proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                     proxy_pass http://terminus:8000;
            }

            location ~ /.well-known/acme-challenge {
                     allow all;
                     root /usr/share/nginx/html;
            }
     }
}
